Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.plexus
Class PlexusXFireComponent

    java.lang.Object
      org.codehaus.plexus.logging.AbstractLogEnabled
          org.codehaus.xfire.plexus.PlexusXFireComponent

All Implemented Interfaces:
  org.codehaus.plexus.logging.LogEnabled, org.codehaus.plexus.personality.plexus.lifecycle.phase.Serviceable

Direct Known Subclasses:
  DefaultConfigurationService, ObjectServiceConfigurator

    public class PlexusXFireComponent

extends org.codehaus.plexus.logging.AbstractLogEnabled
implements org.codehaus.plexus.personality.plexus.lifecycle.phase.Serviceable

Basic support methods for plexus XFire components.

Author:
  Dan Diephouse

Constructor Summary
`PlexusXFireComponent()`

Method Summary
`protected org.codehaus.plexus.personality.plexus.lifecycle.phase.ServiceLocator` | `getServiceLocator()`
`void` | `service(org.codehaus.plexus.personality.plexus.lifecycle.phase.ServiceLocator manager)`

Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled
`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlexusXFireComponent

    public PlexusXFireComponent()

Method Detail

### service

    public void service(org.codehaus.plexus.personality.plexus.lifecycle.phase.ServiceLocator manager)

  Specified by:
    `service` in interface `org.codehaus.plexus.personality.plexus.lifecycle.phase.Serviceable`

### getServiceLocator

    protected org.codehaus.plexus.personality.plexus.lifecycle.phase.ServiceLocator getServiceLocator()

  Returns:
    Returns the service manager.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.